Summary: A small, fast automatic indentation filter for C/C++/Java code.
Name: astyle
Version: 1.11.6
Release: 5
Copyright: GPL/Artistic
Group: Development/Tools
URL: http://astyle.sourceforge.net/
Source: http://gene.md.huji.ac.il/~tald/astyle/stable/src/%{name}_%{version}_src.tgz
BuildRoot: /var/tmp/%{name}-root

%description
Artistic Style is a reindenter and reformatter of C++, C and Java source code.

When indenting source code, we as programmers have a tendency to use
both spaces and tab characters to create the wanted
indentation. Moreover, some editors by default insert spaces instead
of tabs when pressing the tab key. Since the NUMBER of space
characters showed on screen for each tab character in the source code
changes between editors (until the user sets up the number to his
liking...), one of the standard problems facing programmers when
moving from one source code editor to another is that code containing
both spaces and tabs that was up to now perfectly indented, suddently
becomes a mess to look at when changing to another editor.

Artistic Style solves this problem by providing a series of filters,
written in C++, that automatically reindent & reformat C/C++/Java
source files. These can be used from a command line, or it can be
incorporated as classes in another C++ program.

%prep
%setup -q -n %{name}_%{version}

%build
make "CPPFLAGS=$RPM_OPT_FLAGS -W"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -s -m 755 astyle $RPM_BUILD_ROOT/usr/bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/astyle
%doc astyle.html license.html

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon May 1 2000 Tim Powers <timp@redhat.com>
- updated to 1.11.6
 
* Thu Oct 28 1999 Tim Powers <timp@redhat.com>
- updated to 1.11.5

* Sun Sep 19 1999 Preston Brown <pbrown@redhat.com>
- 1.11.4 bugfix release

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- first packaged for powertools.
